#include <iostream>

using namespace std;

#include "empl40a.h"	// Our Empl class...
#include "cler40a.h"	// Our Cler class...
#include "tech40a.h"	// Our Tech class...

int main()
{
    Empl emp("Fred", "Flintstone");
    emp.Update(30000.00);		// salary
    cout << endl << "Calling emp.Print()" << endl;
    emp.Print();
    cout << endl;

    Cler cler;
    cler.Update("Wilma", "Flintstone");		// fname & lname
    cler.Update(12000.00);		// salary
    cler.SetSkills("Cooking, sewing, cleaning, ...");
    cler.SetSpeed(30);
    cout << endl << "Calling cler.Print()" << endl;
    cler.Print();
    cout << endl;

    Tech tech("Barney", "Rubble");
    tech.Update(28000.00);		// salary
    tech.SetType("Mech");
    tech.SetEduc(3);
    cout << endl << "Calling tech.Print()" << endl;
    tech.Print();
    cout << endl;

    Empl *worker;

    worker = &cler;
    worker->SetSalary(50000.00);
    worker->Print();
    cout << endl;

    worker = &tech;
    worker->SetSalary(55000.00);
    worker->Print();

    return 0;
}
